Summary:        Library for the GData protocol
Name:           libgdata
Version:        0.18.1
Release:        5%{?dist}
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/libgdata
Source0:        https://download.gnome.org/sources/%{name}/0.18/%{name}-%{version}.tar.xz
Patch3000:      47.patch

BuildRequires:  meson
BuildRequires:  gcr-devel glib2-devel libsoup-devel
BuildRequires:  gettext libxml2-devel json-glib-devel vala
BuildRequires:  gnome-online-accounts-devel gobject-introspection-devel

%description
This package provide a GLib-based library for accessing online service APIs using the GData 
protocol. For example, it provides APIs to access the common Google services, and provides 
full asynchronous support.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides libraries and header files for developing applications that use %{name}.

%prep
%autosetup -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%meson \
  -Dalways_build_tests=false \
  -Dinstalled_tests=false \
  -Dgtk_doc=false \
  -Doauth1=disabled \
  %{nil}
%meson_build

%install
%meson_install

%find_lang gdata

%files -f gdata.lang
%license COPYING
%doc NEWS README AUTHORS
%dir %{_libdir}/girepository-1.0
%{_libdir}/libgdata.so.22*
%{_libdir}/girepository-1.0/GData-0.0.typelib

%files devel
%{_includedir}/*
%{_libdir}/libgdata.so
%{_libdir}/pkgconfig/%{name}.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GData-0.0.gir
%{_datadir}/vala/

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18.1-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 24 2023 Miaojun Dong <zoedong@tencent.com> - 0.18.1-4
- Rebuild for gcr-4.1.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 9 2022 Wang Guodong <gordonwwang@tencent.com> - 0.18.1-1
- package init.
